Skip to content
Permalink
Branch: master
Find file Copy path
3 contributors

Users who have contributed to this file

@JeroenDeDauw @kghbln @yaronkoren
261 lines (248 sloc) 5.39 KB

Maps installation

These are the installation and configuration instructions for the Maps extension.

Download and installation

See the installation instructions

Configuration

See the configuration documentation

Platform compatibility and release status

The PHP and MediaWiki version ranges listed are those in which Maps is known to work. It might also work with more recent versions of PHP and MediaWiki, though this is not guaranteed. Increases of minimum requirements are indicated in bold. For a detailed list of changes, see the release notes.

PHP MediaWiki Semantic MediaWiki Release status
Maps 7.2.x 7.1 - 7.3+ 1.31 - 1.32+ 3.0+ Planned Q2 2019
Maps 7.2.x 7.1 - 7.3 1.31 - 1.32 3.0+ Stable release
Maps 7.1.x 7.1 - 7.3 1.31 - 1.32 3.0.x Obsolete release, no support
Maps 7.0.x 7.1 - 7.3 1.31 - 1.32 3.0.x Obsolete release, no support
Maps 6.3.x 7.1 - 7.2 1.31 - 1.32 2.4 - 3.0 Security fixes only
Maps 6.2.x 7.1 - 7.2 1.31 - 1.32 2.4 - 3.0 Obsolete release, no support
Maps 6.1.x 7.1 - 7.2 1.31 - 1.32 2.4 - 3.0 Obsolete release, no support
Maps 6.0.x 7.1 - 7.2 1.31 - 1.32 2.4 - 3.0 Obsolete release, no support
Maps 5.6.x 7.0 - 7.2 1.27 - 1.31 2.1 - 3.0 Security fixes only
Maps 5.5.x 7.0 - 7.2 1.27 - 1.31 2.1 - 2.5 Obsolete release, no support
Maps 5.4.x 7.0 - 7.2 1.27 - 1.31 2.1 - 2.5 Obsolete release, no support
Maps 5.3.x 7.0 - 7.2 1.27 - 1.30 2.1 - 2.5 Obsolete release, no support
Maps 5.2.x 7.0 - 7.2 1.27 - 1.30 2.1 - 2.5 Obsolete release, no support
Maps 5.1.x 7.0 - 7.2 1.27 - 1.30 2.1 - 2.5 Obsolete release, no support
Maps 5.0.x 5.6 - 7.1 1.27 - 1.30 2.1 - 2.5 Obsolete release, no support
Maps 4.4.x 5.6 - 7.1 1.27 - 1.29 2.1 - 2.5 Obsolete release, no support
Maps 4.3.x 5.6 - 7.1 1.27 - 1.29 2.1 - 2.5 Obsolete release, no support
Maps 4.2.x 5.5 - 7.1 1.23 - 1.29 2.1 - 2.5 Obsolete release, no support
Maps 4.1.x 5.5 - 7.1 1.23 - 1.28 2.1 - 2.5 Obsolete release, no support
Maps 4.0.x 5.5 - 7.0 1.23 - 1.28 2.1 - 2.4 Obsolete release, no support

Older obsolete versions:

PHP MediaWiki Composer Validator
Maps 3.8.x 5.5 - 7.0 1.23 - 1.27 Required Handled by Composer
Maps 3.7.x 5.5 - 7.0 1.23 - 1.27 Required Handled by Composer
Maps 3.6.x 5.5 - 7.0 1.23 - 1.27 Required Handled by Composer
Maps 3.5.x 5.3.2 - 7.0 1.18 - 1.27 Required Handled by Composer
Maps 3.4.x 5.3.2 - 7.0 1.18 - 1.27 Required Handled by Composer
Maps 3.3.x 5.3.2 - 5.6.x 1.18 - 1.25 Required Handled by Composer
Maps 3.2.x 5.3.2 - 5.6.x 1.18 - 1.24 Required Handled by Composer
Maps 3.1.x 5.3.2 - 5.6.x 1.18 - 1.24 Required Handled by Composer
Maps 3.0.x 5.3.2 - 5.6.x 1.18 - 1.23 Required Handled by Composer
Maps 2.0.x 5.3.2 - 5.5.x 1.18 - 1.23 Not supported 0.5.1
Maps 1.0.5 5.2.0 - 5.3.x 1.17 - 1.19 Not supported 0.4.13 or 0.4.14

Database support

All current versions of Maps have full support for all databases that can be used with MediaWiki.

You can’t perform that action at this time.